<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>demo2</title>
    <link th:href="@{/css/bootstrap/bootstrap.min.css}" rel="stylesheet">
    <script th:src="@{/js/bootstrap/bootstrap.bundle.min.js}" type="text/javascript"></script>
    <script th:src="@{/js/bootstrap/jquery-3.6.0.min.js}" type="text/javascript"></script>
</head>
<body>

<div th:fragment="navbar">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand fw-bold" title="Swagger UI" th:href="@{/swagger-ui/}">smartFridge</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" th:href="@{/fridge}">Fridge</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" th:href="@{/shopping}">Shopping list</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()">
                        <a class="nav-link active" th:href="@{/product}">Products</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAuthenticated()">
                        <a class="nav-link active" th:href="@{/recipe}">Recipes</a>
                    </li>
                </ul>

                    <div class="d-flex" sec:authorize="isAuthenticated()">
                        <a class="navbar-text fw-bold" sec:authentication="name"></a>
                        <a class="nav-link active" th:href="@{/logout}">Logout</a>
                    </div>

                    <div class="d-flex" sec:authorize="isAnonymous()">
                        <a class="nav-link active" th:href="@{/registration}">Sign up</a>
                    </div>
                    <div class="d-flex" sec:authorize="isAnonymous()">
                        <a class="nav-link active" th:href="@{/login}">Sign in</a>
                    </div>

            </div>
        </div>
    </nav>
</div>
</body>
</html>